manaable REST API
What's manaableAbout Us
What's manaableAbout Us
  1. Teams
  • Introduction
  • イントロダクション
  • API v3
    • Members
      • Get Members
      • Get Member by ID
    • Teams
      • Get Teams
      • Get Team by ID
  • API v2
    • Trainings
      • List trainings / 研修一覧取得
      • Count trainings / 研修件数取得
      • Get training custom field definitions / 研修カスタムフィールド定義取得
      • Get training by ID / 研修詳細取得
      • Update training / 研修情報更新
      • Delete training / 研修削除
    • Applicants
      • List applicants / 申込者一覧取得
      • Bulk create/update applicants (upsert) / 申込者一括作成/更新 (upsert)
      • Count applicants / 申込者件数取得
      • Bulk update applicant status / 申込ステータス一括更新
    • Members
      • List members / メンバー一覧取得
      • Bulk create/update members / メンバー一括作成/更新
      • Get member custom field definitions / メンバーカスタムフィールド定義取得
      • Get member by ID / メンバー詳細取得
      • Update member / メンバー情報更新
      • Delete member / メンバー削除
      • Update member password / メンバーパスワード更新
    • Teams
      • List teams / チーム一覧取得
        GET
      • Bulk create/update teams / チーム一括作成/更新
        PUT
      • Get team custom field definitions / チームカスタムフィールド定義取得
        GET
      • Get team by ID / チーム詳細取得
        GET
      • Update team / チーム情報更新
        PATCH
      • Delete team / チーム削除
        DELETE
  • API v1
    • Get member groups
      GET
  • Schemas
    • Schemas
      • ContactForm
      • Exam
      • ExamResult
      • Lesson
      • LessonAttempt
      • Notification
      • Settings
      • StaticFieldsSetting
      • TeamMember
      • TrainingQuestionnaireResponse
      • TrainingQuestionnaireTemplate
      • TrainingRegTemplate
      • TrainingTaskResponse
      • TrainingTaskTemplate
      • UnsubscriptionQuestionnaire
    • Training
    • Member
    • Team
    • TrainingApplication
    • CustomFieldMaster
    • CustomFieldData
    • ErrorResponse
    • SuccessResponse
    • ValidationErrorResponse
  1. Teams

Get team custom field definitions / チームカスタムフィールド定義取得

GET
/teams/custom-fields
Returns the list of custom field master records associated with module_id=3, sub_module_id=11.
module_id=3, sub_module_id=11 に紐づくカスタムフィールドマスタ一覧を返す。
Note / 注意: This route is registered before GET /teams/{team_id}, so passing custom-fields
as the team_id path parameter will invoke this endpoint, not getTeamById.
このルートは GET /teams/{team_id} より前に登録されているため、
team_id に custom-fields を渡しても getTeamById ではなくこのエンドポイントが呼ばれる。

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or

Responses

🟢200
application/json
Success / 成功
Bodyapplication/json

🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/teams/custom-fields' \
--header 'api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": 200,
    "custom_fields": [
        {
            "id": 0,
            "updated_at": "2019-08-24T14:15:22.123Z",
            "custom_field_type": "string",
            "field_name_attribute": "string",
            "custom_field_name": "string",
            "display_name_label": "string"
        }
    ]
}
Modified at 2026-06-18 02:44:25
Previous
Bulk create/update teams / チーム一括作成/更新
Next
Get team by ID / チーム詳細取得
Built with